package com.yj.test;
// 声明包名，用于组织类

import com.yj.utils.JDBCUtils;
// 导入JDBCUtils工具类，用于数据库连接
import org.junit.Test;
// 导入JUnit测试注解

import java.sql.Connection;
// 导入Connection接口，用于数据库连接
import java.sql.ResultSet;
// 导入ResultSet接口，用于处理查询结果集
import java.sql.Statement;
// 导入Statement接口，用于执行SQL语句

/**
 * @author yj
 * @create 2020-08-21 11:25
 */
public class JDBCUtilsTest { // 定义一个测试类
    @Test // 标记此方法为一个测试方法
    public void testJdbcUtils() {
        // 定义一个测试方法
        Connection connection = JDBCUtils.getConnection();
        // 通过JDBCUtils工具类获取数据库连接
        String sql = "select * from t_book";
        // 定义SQL查询语句，查询t_book表中的所有记录
        try (Statement st = connection.createStatement()) {
            // 创建Statement对象用于执行SQL语句，使用try-with-resources语法自动关闭资源
            ResultSet rs = st.executeQuery(sql);
            // 执行查询语句，并将结果存储在ResultSet对象中
            while(rs.next()){ // 遍历ResultSet对象中的每一条记录
                System.out.println(rs.getString("author")+" "
                        // 从当前记录中获取"author"字段的值，并输出
                        +rs.getString("name"));
                // 从当前记录中获取"name"字段的值，并输出，与"author"字段的值用空格分隔
            }
        }catch (Exception e) {
            // 捕获并处理异常
            e.printStackTrace();
            // 打印异常堆栈信息
        }
    }
}